Deprecation Notices for 1.2

Is there any way to shut off the deprecation notices for 1.2? Some of
them are hard to fix without breaking 1.1 support.

They're disabled in production by default.

jeremy